Skip to main content
GET
/
stores
/
{storeId}
/
coupons
List coupons
curl --request GET \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/coupons \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "items": [
      {
        "id": "<string>",
        "code": "<string>",
        "displayName": "<string>",
        "description": "<string>",
        "type": "FIXED",
        "value": 123,
        "minimumPurchase": 123,
        "maxUses": 123,
        "maxUsesPerCustomer": 123,
        "firstPurchaseOnly": true,
        "startsAt": "2023-11-07T05:31:56Z",
        "expiresAt": "2023-11-07T05:31:56Z",
        "enabled": true,
        "timesUsed": 123,
        "productIds": [
          "<string>"
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "total": 123,
      "totalPages": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:25
Required range: 1 <= x <= 100
Maximum string length: 128
type
enum<string>
Available options:
FIXED,
PERCENTAGE
enabled
boolean
sortBy
enum<string>
Available options:
code,
createdAt,
updatedAt,
value,
timesUsed
sortOrder
enum<string>
Available options:
asc,
desc

Response

Paginated list of coupons

ok
boolean
required
data
object
required